Bug 925984 (drupal6-wikitools) - Review Request: drupal6-wikitools - Provides helper functionality to have wiki-like behavior
Summary: Review Request: drupal6-wikitools - Provides helper functionality to have wik...
Status: CLOSED ERRATA
Alias: drupal6-wikitools
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anderson Silva
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-23 03:08 UTC by Shawn Iwinski
Modified: 2013-05-21 01:46 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-05-01 04:26:22 UTC
ansilva: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Shawn Iwinski 2013-03-23 03:08:43 UTC
Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/drupal6-wikitools.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/drupal6-wikitools-1.3-1.fc18.src.rpm

Description:
The wikitools module provides some settings to get a more wiki-like behavior.
It aims to be lightweight; all features are optional, and it provides no
database tables of its own.

Some of the features of this module are:
* Node Creation: Let users create new nodes when they type in a node name which
  does not exist.
* Node Search: Let users search for nodes when they type in a node name which
  does not exist.
* Automatic Redirect: If a title of a moved page is entered, redirect
  automatically.
* Unique Titles: Enforce that titles are unique over all wiki node types
* Move Protection: Disallow change of node titles for users without administer
  nodes permission.
* Underscore as Space: Treat underscores as spaces when doing a node-lookup by
  title.
* Dash as Space: Treat dashes as spaces when doing a node-lookup by title.
* Custom wiki 404 pages: pick and choose from links to create, links to search,
  and an inline node add form.

The module can be used in conjunction with the flexifilter module (of course),
the freelinking module by hijacking freelinking links, or together with the
pearwiki filter module for various wiki formats.


Fedora Account System Username: siwinski

Comment 1 Anderson Silva 2013-04-22 19:12:53 UTC
Issues:

rpmlint -i /home/ansilva/rpmbuild/RPMS/noarch/drupal6-wikitools-1.3-1.fc18.noarch.rpm
drupal6-wikitools.noarch: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
The value of this tag appears to be misspelled. Please double-check.

drupal6-wikitools.noarch: W: spelling-error %description -l en_US flexifilter -> filterer
The value of this tag appears to be misspelled. Please double-check.

drupal6-wikitools.noarch: W: spelling-error %description -l en_US freelinking -> free linking, free-linking, freethinking
The value of this tag appears to be misspelled. Please double-check.

drupal6-wikitools.noarch: W: spelling-error %description -l en_US pearwiki -> pear wiki, pear-wiki, Wikipedia
The value of this tag appears to be misspelled. Please double-check.

drupal6-wikitools.noarch: E: incorrect-fsf-address /usr/share/doc/drupal6-wikitools-1.3/LICENSE.txt
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

1 packages and 0 specfiles checked; 1 errors, 4 warnings.

Comment 2 Anderson Silva 2013-04-22 20:23:34 UTC
Just found out incorrect-fsf-address is not a blocker. 

Package approved.

Comment 3 Shawn Iwinski 2013-04-22 22:20:36 UTC
THANKS for the review!


New Package SCM Request
=======================
Package Name: drupal6-wikitools
Short Description: Provides helper functionality to have wiki-like behavior
Owners: siwinski afsilva
Branches: f17 f18 f19 el5 el6
InitialCC:

Comment 4 Gwyn Ciesla 2013-04-23 12:09:20 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2013-04-26 17:09:34 UTC
drupal6-wikitools-1.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-wikitools-1.3-1.el5

Comment 6 Fedora Update System 2013-04-26 17:09:45 UTC
drupal6-wikitools-1.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/drupal6-wikitools-1.3-1.fc18

Comment 7 Fedora Update System 2013-04-26 17:09:55 UTC
drupal6-wikitools-1.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-wikitools-1.3-1.el6

Comment 8 Fedora Update System 2013-04-26 17:10:06 UTC
drupal6-wikitools-1.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/drupal6-wikitools-1.3-1.fc19

Comment 9 Fedora Update System 2013-04-26 17:10:17 UTC
drupal6-wikitools-1.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drupal6-wikitools-1.3-1.fc17

Comment 10 Fedora Update System 2013-04-26 23:57:36 UTC
drupal6-wikitools-1.3-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 11 Fedora Update System 2013-05-01 04:26:23 UTC
drupal6-wikitools-1.3-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2013-05-17 03:28:35 UTC
drupal6-wikitools-1.3-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 13 Fedora Update System 2013-05-17 03:29:42 UTC
drupal6-wikitools-1.3-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 14 Fedora Update System 2013-05-17 22:19:36 UTC
drupal6-wikitools-1.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 15 Fedora Update System 2013-05-21 01:46:40 UTC
drupal6-wikitools-1.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.